For the complete documentation index, see llms.txt. This page is also available as Markdown.

End Of Day

This service performs the end-of-day (batch close) operation for the GMU device.

As a result of the operation, a summary report is returned based on the acquirer.

Retrieve End of Day Report

post
/v2/terminal-host/gmu/eod

Performs the end-of-day batch close operation for the GMU device. The financial day of the device is closed and an acquirer-based summary report is returned.

Authorizations
AuthorizationstringRequired

Bearer Token authentication is performed using the access token.

Header parameters
Content-TypestringRequired

Content type

Example: application/json
Body
localestringOptional

Language code. Default is TR

Example: TR
conversationIdstringOptional

Correlation ID

Example: eod-conv-001
deviceUniqueIdstringRequired

Device unique ID. Maximum 64 characters

Example: P00134
useSummarybooleanOptional

Whether summary end-of-day should be used

Example: false
Responses
200

Successful end-of-day result

application/json
statusstringOptional

success or failure

Example: success
errorCodestringOptional

Error code

Example: 0
errorMessagestringOptional

Error details

Example: Error message
conversationIdstringOptional

Correlation ID

Example: eod-conv-001
systemTimeintegerOptional

Timestamp

Example: 1743980400000
batchNostringOptional

Closed batch number

Example: 0042
resultMessagestringOptional

End-of-day result message

Example: End-of-day completed successfully
post/v2/terminal-host/gmu/eod
POST /v2/terminal-host/gmu/eod HTTP/1.1
Host: api.iyzipay.com
Authorization: Bearer {{access_token}}
Content-Type: application/json

{
  "locale": "TR",
  "conversationId": "eod-conv-001",
  "deviceUniqueId": "P00134",
  "useSummary": false
}
{
  "status": "success",
  "conversationId": "eod-conv-001",
  "systemTime": 1743980400000,
  "batchNo": "0042",
  "resultMessage": "End-of-day completed successfully",
  "tails": [
    {
      "acquirerId": "12",
      "terminalId": "00001234",
      "bankMerchantId": "00000001234",
      "totalTransactionAmount": "1180.00",
      "totalTransactionCount": "10",
      "acquirerName": "Sample Bank",
      "batchNo": "0042",
      "responseCode": "00",
      "internalErrorCode": null
    }
  ]
}

Last updated